<%#-- copyright
Nepenthes is a free and open project management software.
Copyright (C) 2024 The Nirvati developers

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License version 3.

Nepenthes is a fork of OpenProject. The copyright follows:

Copyright (C) 2012-2024 the OpenProject GmbH

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License version 3.

OpenProject is a fork of ChiliProject, which is a fork of Redmine. The copyright follows:
Copyright (C) 2006-2013 Jean-Philippe Lang
Copyright (C) 2010-2013 the ChiliProject Team

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.

See COPYRIGHT and LICENSE files for more details.

++#%>

<%= toolbar title: "#{t(:label_revision)} #{@diff_format_revisions} #{@path}" do %>
  <li class="toolbar-item">
    <%= form_tag({repo_path: to_path_param(@path)}, method: :get) do %>
      <%= hidden_field_tag('rev', params[:rev]) if params[:rev] %>
      <%= hidden_field_tag('rev_to', params[:rev_to]) if params[:rev_to] %>
      <%= styled_select_tag 'type', options_for_select([[t(:label_diff_inline), "inline"], [t(:label_diff_side_by_side), "sbs"]], @diff_type), id: "repository-diff-type-select" %>
    <% end %>
      <%=
        content_for(:additional_js_dom_ready) do
          "jQuery('#repository-diff-type-select').change(function() {
             if (this.value != '') { this.form.submit() }
          });".html_safe
        end
      %>
  </li>
<% end %>

<% cache(@cache_key) do -%>
  <%= render partial: 'common/diff', locals: { diff: @diff, diff_type: @diff_type } %>
<% end -%>
<%= other_formats_links do |f| %>
  <% unidiff_link = f.link_to 'Diff', url: permitted_params.repository_diff.to_h, caption: 'Unified diff' %>
  <% if !@path.blank? %>
    <% unidiff_link.gsub!('?', '&amp;') %>
  <% end %>
  <% wrong_url = CGI::escapeHTML(CGI.escape(with_leading_slash(@path))).concat('.diff') %>
  <% good_url = '.diff'.concat('?repo_path=', CGI.escape(without_leading_slash(@path)).gsub('&', '%26')) %>
  <% unidiff_link.gsub!(wrong_url, good_url) %>
  <%= unidiff_link.html_safe %>
<% end %>

<% html_title(h(with_leading_slash(@path)), 'Diff') -%>
